### Enumeration

# Manette EventType

#### Declaration

    enum Manette.EventType

#### Description [src]

Specifies the type of the event.

#### Members

`MANETTE_EVENT_NOTHING`

  A special code to indicate a null event.

  - Value: `-1`
  - Available since: 0.2
`MANETTE_EVENT_BUTTON_PRESS`

  A button has been pressed.

  - Value: `0`
  - Available since: 0.2
`MANETTE_EVENT_BUTTON_RELEASE`

  A button has been released.

  - Value: `1`
  - Available since: 0.2
`MANETTE_EVENT_ABSOLUTE`

  An absolute axis has been moved.

  - Value: `2`
  - Available since: 0.2
`MANETTE_EVENT_HAT`

  A hat axis has been moved.

  - Value: `3`
  - Available since: 0.2